org.eclipse.emf.facet.efacet.edit.ui

## Interface IFacetPropertySourceProviderFactory

    public interface IFacetPropertySourceProviderFactory

Factory for `FacetPropertiesSourceProvider`.

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IFacetPropertySourceProviderFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`IPropertySourceProvider` `createPropertySourceProvider(AdapterFactory adapterFactory, EditingDomain editingDomain, ILabelProvider labelProvider, IFacetManager facetManager)`

### Field Detail

#### DEFAULT

    static final IFacetPropertySourceProviderFactory DEFAULT

### Method Detail

#### createPropertySourceProvider

    IPropertySourceProvider createPropertySourceProvider(AdapterFactory adapterFactory,
                                                         EditingDomain editingDomain,
                                                         ILabelProvider labelProvider,
                                                         IFacetManager facetManager)